SUMMER SALE | 15% OFF BUNDLES

0

Your Cart is Empty

PLANES
  • POWERUP 4.0 AIRPLANE

    POWERUP 4.0 AIRPLANE

  • DRAGON WITH POWERUP 4.0 AIRPLANE

  • TORNADO UPDRAFT ADD-ON FOR POWERUP 4.0

    TORNADO UPDRAFT WITH POWERUP 4.0 AIRPLANE

  • SHOP ALL PLANES

  • Summer Sale | POWERUP

    SHOP SUMMER SALE

  • BUNDLES
  • POWERUP 4.0 FLIGHT MANUAL BUNDLE

    POWERUP 4.0 FLIGHT MANUAL BUNDLE

  • POWERUP 4.0 BEGINNER BUNDLE

    POWERUP 4.0 BEGINNER BUNDLE

  • POWERUP 4.0 ULTIMATE BUNDLE

    POWERUP 4.0 ULTIMATE BUNDLE

  • FLITETEST BUNDLE

    SHOP ALL BUNDLES

  • Summer Sale | POWERUP

    SHOP SUMMER SALE

  • ACCESSORIES
  • SPARE PARTS KIT FOR POWERUP 4.0

    SPARE PARTS KIT FOR POWERUP 4.0

  • THE PAPER AIRPLANE BOOK

    THE PAPER AIRPLANE BOOK

  • ADD-ON INSTALLATION + SPARE PARTS KIT FOR POWERUP 4.0

    ADD-ON INSTALLATION + SPARE PARTS KIT FOR POWERUP 4.0

  • NIGHT FLIGHT ADD-ON FOR POWERUP 4.0

    SHOP ALL ACCESSORIES

  • Summer Sale | POWERUP

    SHOP SUMMER SALE

  • EDUCATORS
  • POWERUP 4.0 (4 COUNT)

    POWERUP 4.0 AIRPLANE (4 COUNT)

  • POWERUP 2.0 AIRPLANE (24 COUNT)

    POWERUP 2.0 AIRPLANE (24 COUNT)

  • THE PAPER AIRPLANE BOOK (12 COUNT)

    THE PAPER AIRPLANE BOOK (12 COUNT)

  • FAMILY SQUADRON BUNDLE

    SHOP MORE FOR EDUCATORS

  • Summer Sale | POWERUP

    SHOP SUMMER SALE

  • Compatible Devices for POWERUP 3.0, DART

    Download the app on the App Store here!

    Download app on the Google Play store here!

    iOS version 10 & 11 have know Bluetooth connectivity issues with Apple. Please be sure to upgrade the most updated iOS available iOS 12 and newer.

    Apple devices that will work with POWERUP 3.0/DART

    • iPhone Xs Max
    • iPhone Xs
    • iPhone Xr
    • iPhone X
    • iPhone 8 Plus
    • iPhone 8
    • iPhone 7 Plus
    • iPhone 7
    • iPhone 6s Plus
    • iPhone 6s
    • iPhone se
    • iPhone 6 Plus
    • iPhone 6

    Apple devices that will work with POWERUP 3.0/DART, but not optimal.

     

    • iPhone 5S (Limited to iOS-10)
    • iPhone 5C (Limited to iOS-10)
    • iPhone 5(Limited to iOS-10)
    • iPhone 4s (Limited to iOS-10)
    • iPod touch 5th Gen. (or newer)
    • iPad 3rd Gen. (or newer with Retina Display)
    • iPad Air
    • iPad Mini
    • iPad Mini with Retina Display

    Not supported devices:

    • iPhone 3G, iPhone 3GS or iPhone 4
    • iPad (original) or iPad 2
    • iPod touch older than 4th Gen., iPod nano, iPod shuffle or iPod classic

    COMPATIBLE WITH MOST ANDROID DEVICES THAT MEET THE FOLLOWING REQUIREMENTS:

    • OS version 4.3+
    • Supports Bluetooth Smart (4.0 LE)
    • Gyroscope - For gesture control.
    • Devices that do not have a Gyroscope/Gravity sensor will work only in "Gamepad" mode.

    Tested & Aprooved Android phones that work with

    POWERUP 3.0/DART

    • Sony Experia Z2
    • Samsung Galaxy S3 (Version 4.4)
    • Samsung Galaxy S4 (Version 4.4)
    • Samsung Galaxy S5 (Version 4.4)
    • Samsung Galaxy Note 2  (Version 4.3 and later)
    • LG Nexus 5 (Version 4.3 and later)
    • LG G2  (Version 4.3 and later)
    • HTC ONE XL (Version 4.3 and later)
    • HTC ONE M7 (Version 4.3 and later)
    • HTC ONE M8 (Version 4.3 and later)
    • Moto G  (Version 4.3 and later)
    • Motorola Droid Maxx (Version 4.4)
    • Google Nexus 7 (2013)   (Version 4.3 and later)

    Android devices that will work with POWERUP 3.0/DART, but not optimal

    • MOTO X (Version 4.4) 
    • MOTO G
    • HT50

    Android devices that are NOT supported or tested

    • Samsung Galaxy Note 3
    • Moto E
    • Sony Ericson Experia Z
    • One Plus One
    • Nexus 10
    • Galaxy S4 Mini
    • Any other phone including those running older versions of Android (older than 4.3), Windows Phone, Symbian, BlackBerry, Palm etc.

    These phones will NOT work with POWERUP 3.0/DART

    (no future support )

    • iPhone 3G, iPhone 3GS or iPhone 4
    • iPad (original) or iPad 2
    • iPod touch older than 4th Gen., iPod nano, iPod shuffle or iPod classic
    • Any other phone including those running older versions of Android (older than 4.3), Windows Phone, Symbian, BlackBerry, Palm etc.